#ifndef CYGONCE_DEVS_SPI_ARM_PL022_SETUP_H
#define CYGONCE_DEVS_SPI_ARM_PL022_SETUP_H

//-----------------------------------------------------------------------------

// Setup for LPC214x devices.
#define CYGARC_DEVS_SPI_ARM_PL022_REG_BASE           0xE0068000
#define CYGNUM_DEVS_SPI_ARM_PL022_CLK_PRESCALE       2
#define CYGNUM_DEVS_SPI_ARM_PL022_CLK_BASE           15000000
#define CYGNUM_DEVS_SPI_ARM_PL022_INTERRUPT          CYGNUM_HAL_INTERRUPT_SPI1
#define CYGNUM_DEVS_SPI_ARM_PL022_INTERRUPT_PRIORITY 6

// TODO: Should be configurable via CDL.
#define CYGDAT_DEVS_SPI_ARM_LPC21XX_CHIP_SELECTS     6

//-----------------------------------------------------------------------------
// Only a single PL022 device is currently supported, and this is it!

externC cyg_spi_arm_pl022_bus_t cyg_spi_arm_pl022_bus;

//-----------------------------------------------------------------------------
// Platform specific initialisation function for ARM PL022 SPI bus master.

externC void cyg_spi_arm_pl022_bus_init (void);                                                 

#endif // CYGONCE_DEVS_SPI_ARM_PL022_SETUP_H
